MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# encoder_plugin Struct Reference

`#include <encoder_plugin.h>`

## Data Fields
const char * | name
struct encoder *(* | init )(const struct config_param *param, GError **error)
void(* | finish )(struct encoder *encoder)
bool(* | open )(struct encoder *encoder, struct audio_format *audio_format, GError **error)
void(* | close )(struct encoder *encoder)
bool(* | flush )(struct encoder *encoder, GError **error)
bool(* | tag )(struct encoder *encoder, const struct tag *tag, GError **error)
bool(* | write )(struct encoder *encoder, const void *data, size_t length, GError **error)
size_t(* | read )(struct encoder *encoder, void *dest, size_t length)
const char *(* | get_mime_type )(struct encoder *encoder)

## Detailed Description

Definition at line 37 of file encoder_plugin.h.

## Field Documentation

void(* encoder_plugin::close)(struct encoder *encoder)

Definition at line 49 of file encoder_plugin.h.

void(* encoder_plugin::finish)(struct encoder *encoder)

Definition at line 43 of file encoder_plugin.h.

bool(* encoder_plugin::flush)(struct encoder *encoder, GError **error)

Definition at line 51 of file encoder_plugin.h.

const char*(* encoder_plugin::get_mime_type)(struct encoder *encoder)

Definition at line 62 of file encoder_plugin.h.

struct encoder*(* encoder_plugin::init)(const struct config_param *param, GError **error)`[read]`

Definition at line 40 of file encoder_plugin.h.

const char* encoder_plugin::name

Definition at line 38 of file encoder_plugin.h.

bool(* encoder_plugin::open)(struct encoder *encoder, struct audio_format *audio_format, GError **error)

Definition at line 45 of file encoder_plugin.h.

size_t(* encoder_plugin::read)(struct encoder *encoder, void *dest, size_t length)

Definition at line 60 of file encoder_plugin.h.

bool(* encoder_plugin::tag)(struct encoder *encoder, const struct tag *tag, GError **error)

Definition at line 53 of file encoder_plugin.h.

bool(* encoder_plugin::write)(struct encoder *encoder, const void *data, size_t length, GError **error)

Definition at line 56 of file encoder_plugin.h.

The documentation for this struct was generated from the following file:

- src/encoder_plugin.h